<h1 mat-dialog-title>Enter Product Details?</h1>
<div mat-dialog-content>
  <form [formGroup]="productForm">
    <mat-form-field class="modal-input-field">
      <input matInput formControlName="name" [(ngModel)]="localProduct.name" />
      <mat-error *ngIf="productForm.controls.name.errors">
        Name is <strong>required</strong>
      </mat-error>
    </mat-form-field>
    <mat-form-field class="modal-input-field">
      <mat-select
        placeholder="Select Category"
        formControlName="category"
        [(value)]="localProduct.category"
      >
        <mat-option *ngFor="let category of Categories" [value]="category">{{
          category
        }}</mat-option>
      </mat-select>
      <mat-error *ngIf="productForm.controls.category.errors">
        Category is <strong>required</strong>
      </mat-error>
    </mat-form-field>
    <mat-form-field class="modal-input-field">
      <input
        type="number"
        matInput
        formControlName="price"
        [(ngModel)]="localProduct.price"
      />
      <mat-error *ngIf="productForm.controls.price.errors">
        Price is <strong>required</strong> and <strong>bigger</strong> than 0
      </mat-error>
    </mat-form-field>
  </form>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">No Thanks</button>
  <button
    mat-button
    [mat-dialog-close]="localProduct"
    cdkFocusInitial
    [disabled]="!productForm.valid"
  >
    Ok
  </button>
</div>
